Bug 57589 - running up2date breaks ftp
running up2date breaks ftp
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-16 21:47 EST by dsamperi
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-16 21:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsamperi 2001-12-16 21:47:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
After running up2date under RH 7.2 ftp no longer works. I get
"invalid login" every time I try, yet I can login using telnet.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run up2date under RH 7.2
2.Run ftp localhost
3.Try to login using your username/password
	

Actual Results:  Login failed

Expected Results:  Login successful

Additional info:

up2date can be hazardous to RH Linux
Comment 1 dsamperi 2001-12-17 01:02:51 EST
Turns out I installed the PD Korn shell in /bin/ksh, but did not put this
into /etc/shells. This caused wu-ftpd to return "invalid login" for any user
who selected this as his/hre default shell.

This is a bug in wu-ftpd: it should say "unknown shell" or something more
helpful than "invalid login".
Comment 2 Bernhard Rosenkraenzer 2001-12-17 05:54:33 EST
No, it's not a bug in wu-ftpd. It's a security feature.
If a cracker is told why he can't log in as a specific user, he'll have a much
better chance at circumventing it ("oh, this user must exist!").

Note You need to log in before you can comment on or make changes to this bug.